<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Main3Activity">

    <TextView
        android:id="@+id/textViewPresetEditHead"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginTop="32dp"
        android:layout_marginEnd="32dp"
        android:text="@string/textViewPresetEditHead"
        android:textAppearance="@style/TextAppearance.AppCompat.Display2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/editTextPresetEditName"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginTop="32dp"
        android:layout_marginEnd="32dp"
        android:ems="10"
        android:hint="@string/editTextPresetEditName"
        android:inputType="textMultiLine"
        android:maxLength="64"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textViewPresetEditHead" />

    <EditText
        android:id="@+id/editTextPresetEditBody"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:ems="10"
        android:gravity="start|top"
        android:hint="@string/editTextPresetEditBody"
        android:inputType="textMultiLine"
        android:maxLength="128"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/textViewPresetEditRisk"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/editTextPresetEditName" />

    <TextView
        android:id="@+id/textViewPresetEditRisk"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="8dp"
        android:text="@string/textViewPresetEditRisk"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/textViewPresetEditTime"
        app:layout_constraintEnd_toStartOf="@+id/guideline"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/editTextPresetEditBody" />

    <TextView
        android:id="@+id/textViewPresetEditTime"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="8dp"
        android:text="@string/textViewPresetEditTime"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/textViewPresetEditInterval"
        app:layout_constraintEnd_toStartOf="@+id/guideline"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textViewPresetEditRisk" />

    <TextView
        android:id="@+id/textViewPresetEditInterval"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="8dp"
        android:text="@string/textViewPresetEditInterval"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/checkBoxPresetEditLocation"
        app:layout_constraintEnd_toStartOf="@+id/guideline"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textViewPresetEditTime" />

    <CheckBox
        android:id="@+id/checkBoxPresetEditLocation"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:text="@string/checkBoxPresetEditLocation"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/buttonPresetEditSave"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textViewPresetEditInterval" />

    <Spinner
        android:id="@+id/spinnerPresetEditRisk"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="32dp"
        android:entries="@array/spinnerPresetEditRisk"
        app:layout_constraintBottom_toBottomOf="@+id/textViewPresetEditRisk"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="@+id/guideline"
        app:layout_constraintTop_toTopOf="@+id/textViewPresetEditRisk" />

    <Spinner
        android:id="@+id/spinnerPresetEditTime"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="32dp"
        android:entries="@array/spinnerPresetEditTime"
        app:layout_constraintBottom_toBottomOf="@+id/textViewPresetEditTime"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.646"
        app:layout_constraintStart_toStartOf="@+id/guideline"
        app:layout_constraintTop_toTopOf="@+id/textViewPresetEditTime" />

    <Spinner
        android:id="@+id/spinnerPresetEditInterval"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="32dp"
        android:entries="@array/spinnerPresetEditInterval"
        app:layout_constraintBottom_toBottomOf="@+id/textViewPresetEditInterval"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="@+id/guideline"
        app:layout_constraintTop_toTopOf="@+id/textViewPresetEditInterval" />

    <Button
        android:id="@+id/buttonPresetEditSave"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="32dp"
        android:layout_marginBottom="64dp"
        android:text="@string/buttonPresetEditSave"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@+id/guideline" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.6034063" />

    <Button
        android:id="@+id/buttonPresetDefault"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginBottom="64dp"
        android:text="@string/buttonPresetDefault"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/guideline2"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.4" />
</androidx.constraintlayout.widget.ConstraintLayout>